package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.CornService;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/corn")
@Api(description="玉米登统信息表")
public class CornController {

	@Autowired
	private CornService cornService;
	
	//通风信息获取
		@ApiOperation(value = "玉米登统信息表", notes = "参数：仓房编号")
		@GetMapping(value = "/page")
		public RootResult<PageInfo<CornVO>> page(@RequestParam("cfbm") String cfbm, @RequestParam("pageNo") Integer pageNo, @RequestParam("pageSize") Integer pageSize,@RequestParam(value = "startDate", required = false) String startDate,
												 @RequestParam(value = "endDate", required = false) String endDate){
			RootResult<PageInfo<CornVO>> r = new RootResult<PageInfo<CornVO>>();
			try {
				PageInfo<CornVO> result = cornService.page(cfbm,pageNo,pageSize,startDate,endDate);
				r.setCode(200);
				r.setData(result);
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}

	@ApiOperation(value = "玉米-导出", notes = "参数：仓房编号")
	@GetMapping(value = "/impCorn")
	public RootResult<List<CornVO>> impWheat(@RequestParam("cfbm") String cfbm, @RequestParam(value = "startDate", required = false) String startDate,
											  @RequestParam(value = "endDate", required = false) String endDate){
		RootResult<List<CornVO>> r = new RootResult<List<CornVO>>();
		try {
			List<CornVO> result = cornService.impCorn(cfbm,startDate,endDate);
			r.setCode(200);
			r.setData(result);
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "玉米初始化", notes = "")
	@GetMapping(value = "/imp")
	public RootResult<String> imp(){
		RootResult<String> r = new RootResult<String>();
		try {
			cornService.imp();
			r.setCode(200);
			r.setData("");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
