package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.FcbgzService;
import com.jusfoun.ydylsz.vo.FcbgzVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author by PIG
 * 2023/5/25 09
 */
@Api(tags = "分仓保管账")
@RequestMapping("/fcbgz")
@RestController
public class FcbgzController {

    @Autowired
    FcbgzService fcbgzService;

    @ApiOperation(tags = {"分仓保管账"}, notes = "", value = "分仓保管账分页列表")
    @PostMapping(value = "/pageInfo")
    public RootResult<Object> pageInfo(@RequestBody FcbgzVO fcbgzVO,
                                       @RequestParam("pageNum") int pageNum,
                                       @RequestParam("pageSize") int pageSize) {
        RootResult<Object> result = new RootResult<>();
        try {
            PageInfo<FcbgzVO> data = fcbgzService.pageInfo(fcbgzVO, pageNum, pageSize);
            result.setData(data);
            result.setCode(200);
            result.setMsg("请求成功");
        } catch (Exception e) {
            result.setMsg(e.getMessage());
            e.printStackTrace();
            result.setCode(500);
        }
        return result;
    }

    @ApiOperation(value = "根据id查询分仓保管账详情", notes = "分仓保管账详情")
    @GetMapping(value = "/detail")
    public RootResult<Object> getFcbgzById(@RequestParam("id") String id) {
        RootResult<Object> result = new RootResult<>();
        try {
            FcbgzVO data = fcbgzService.getFcbgzById(id);
            result.setData(data);
            result.setCode(200);
            result.setMsg("请求成功");
        } catch (Exception e) {
            result.setMsg(e.getMessage());
            e.printStackTrace();
            result.setCode(500);
        }
        return result;
    }

}
