package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.FumigationService;
import com.jusfoun.ydylsz.vo.fumigation.FumigationDTO;
import com.jusfoun.ydylsz.vo.fumigation.StoreHouseDTO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description: 库级管理平台-熏蒸
 * @create 2023-11-01 17:27
 */
@RestController
@RequestMapping("/fumigation")
public class FumigationController {
    @Resource
    private FumigationService fumigationService;

    // 单仓熏蒸列表
    @GetMapping("/singleFumigation/{pageNum}/{pageSize}/{cfbh}")
    public RootResult singleFumigation(@PathVariable("pageNum") Integer pageNum,
                                       @PathVariable("pageSize") Integer pageSize,
                                       @PathVariable("cfbh") String cfbh) {
        // 返回对象
        RootResult<Object> result = new RootResult<>();
        try {
            // 查询list
            PageInfo<FumigationDTO> data = fumigationService.singleFumigation(pageNum, pageSize, cfbh);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }

    // 汇总查询熏蒸
    @GetMapping("/pageListFumigation/{pageNum}/{pageSize}/{kddm}")
    public RootResult pageListFumigation(@PathVariable("pageNum") Integer pageNum,
                                         @PathVariable("pageSize") Integer pageSize,
                                         @PathVariable("kddm") String kddm,
                                         @RequestParam(value = "cfbh", required = false) String cfbh) {
        // 返回对象
        RootResult<PageInfo<FumigationDTO>> result = new RootResult<>();
        try {
            // 查询list
            PageInfo<FumigationDTO> data = fumigationService.pageListFumigation(pageNum, pageSize, kddm, cfbh);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }

    // 获取仓房信息
    @GetMapping("/getStoreHouseList/{kddm}")
    public RootResult getStoreHouseList(@PathVariable("kddm") String kddm) {
        RootResult<List<StoreHouseDTO>> result = new RootResult<>();
        try {
            List<StoreHouseDTO> data = fumigationService.getStoreHouseList(kddm);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }

    // 熏蒸详情
    @GetMapping("/selectFumigationDetail/{id}")
    public RootResult selectFumigationDetail(@PathVariable("id") String id) {
        RootResult<Map<String, Object>> result = new RootResult<>();
        try {
            Map<String, Object> map = fumigationService.selectFumigationDetail(id);
            result.setCode(200);
            result.setMsg("success");
            result.setData(map);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }

}
