package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.HumidityService;
import com.jusfoun.ydylsz.vo.HumidityVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/humidity")
@Api(description="湿度信息")
public class HumidityController {

    @Autowired
    private HumidityService humidityService;

    @ApiOperation(value = "获取湿度预警信息", notes = "获取湿度预警信息")
    @GetMapping(value = "/humidityWarningList/{pageNo}/{pageSize}/{type}")
    public RootResult<PageInfo<HumidityVO>> list(@PathVariable("pageNo") Integer pageNo, @PathVariable("pageSize") Integer pageSize,
                                                 @PathVariable("type") Integer type){
        PageHelper.startPage(pageNo, pageSize);
        RootResult<PageInfo<HumidityVO>> r = new RootResult<PageInfo<HumidityVO>>();
        try {
            PageInfo<HumidityVO> result = humidityService.getWarningList(pageNo,pageSize,type,null);
            r.setData(null);
            r.setCode(200);
            r.setData(result);
        } catch (Exception e) {
            r.setMsg(e.getMessage());
            e.printStackTrace();
            r.setCode(500);
        }
        return r;
    }
}
