package com.jusfoun.ydylsz.controller;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.StorageProStatementService;
import com.jusfoun.ydylsz.vo.StorageProfitlossStatement;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;

/**
 * 损溢单
 * @author My Sunshine
 *
 */
@RestController
@RequestMapping(value="/storageProStatement")
@Api(value= "StorageProStatementController", description = "损溢单")
public class StorageProStatementController {

	
	@Resource
    private StorageProStatementService storageProStatementService;
	
	
	 //损溢单 列表
    @GetMapping("/proStatementPageList")
    public RootResult<PageInfo<StorageProfitlossStatement>> riskManagementPageList(@RequestParam("pageNum") Integer pageNum,
    		                             @RequestParam("pageSize") Integer pageSize,
                                         @RequestParam(value = "kddm",required = false) String kddm,
                                         @RequestParam(value = "sfch",required = false) String sfch,
                                         @RequestParam(value = "orgName",required = false) String orgName) {
                                         
        // 返回对象
        RootResult<PageInfo<StorageProfitlossStatement>> result = new RootResult<>();
        try {
            // 查询list
            PageInfo<StorageProfitlossStatement> data = storageProStatementService.proStatementPageList(pageNum, pageSize, kddm,sfch,orgName);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    
    
    // 损溢单 详情
    @GetMapping("/proStatementById")
    public RootResult<Object> proStatementById(@RequestParam("id") String id) {
        RootResult<Object> result = new RootResult<>();
        try {
        	StorageProfitlossStatement storageProfitlossStatement = storageProStatementService.getProStatementById(id);
            result.setCode(200);
            result.setMsg("success");
            result.setData(storageProfitlossStatement);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    
	
}
