package com.jusfoun.ydylsz.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.jusfoun.ydylsz.service.StorageThresholdSetVOService;
import com.jusfoun.ydylsz.vo.StorageThresholdSetVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;

@Log4j
@RestController
@RequestMapping(value="/storageThresholdSet")
@Api(value = "温度告警阈值设置", tags = "温度告警阈值设置")
public class StorageThresholdSetController {

	@Resource
	private StorageThresholdSetVOService storageThresholdSetVOService;

	@RequestMapping(value = "/getList", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	@ApiOperation(value="温湿度阈值设置查询列表", notes = "")
	public List<StorageThresholdSetVO> getList() {
		List<StorageThresholdSetVO> list = null;
		try {
			list = storageThresholdSetVOService.list();
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
		return list;
	}

	@PostMapping(value = "/saveOrUpdate")
	@ApiOperation(value="温湿度阈值设置新增和修改", notes = "")
	public Map<String, String> saveOrUpdate(@RequestBody List<StorageThresholdSetVO> datas) {
		Map<String, String> map = new HashMap<>();
		try {
			storageThresholdSetVOService.saveOrUpdate(datas);
			map.put("status", "success");
			map.put("msg", "操作成功!");
		} catch (Exception e) {
			map.put("status", "error");
			map.put("msg", "操作失败!");
			log.error(e.getMessage(), e);
			
		}
		return map;
	}
}
