package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.WheatService;
import com.jusfoun.ydylsz.vo.WheatVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/wheat")
@Api(description="小麦登统信息表")
public class WheatController {

	@Autowired
	private WheatService wheatService;
	
	//通风信息获取
		@ApiOperation(value = "小麦登统信息表", notes = "参数：仓房编号")
		@GetMapping(value = "/page")
		public RootResult<PageInfo<WheatVO>> page(@RequestParam("cfbm") String cfbm, @RequestParam("pageNo") Integer pageNo, @RequestParam("pageSize") Integer pageSize,@RequestParam(value = "startDate", required = false) String startDate,
												  @RequestParam(value = "endDate", required = false) String endDate){
			RootResult<PageInfo<WheatVO>> r = new RootResult<PageInfo<WheatVO>>();
			try {
				PageInfo<WheatVO> result = wheatService.page(cfbm,pageNo,pageSize,startDate,endDate);
				r.setCode(200);
				r.setData(result);
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}


	@ApiOperation(value = "小麦-导出", notes = "参数：仓房编号")
	@GetMapping(value = "/impWheat")
	public RootResult<List<WheatVO>> impWheat(@RequestParam("cfbm") String cfbm,@RequestParam(value = "startDate", required = false) String startDate,
											  @RequestParam(value = "endDate", required = false) String endDate){
		RootResult<List<WheatVO>> r = new RootResult<List<WheatVO>>();
		try {
			List<WheatVO> result = wheatService.impWheat(cfbm,startDate,endDate);
			r.setCode(200);
			r.setData(result);
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "小麦初始化", notes = "")
	@GetMapping(value = "/imp")
	public RootResult<String> imp(){
		RootResult<String> r = new RootResult<String>();
		try {
			wheatService.imp();
			r.setCode(200);
			r.setData("");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
