package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface AlarmMapper {

    List<StorageOverrunVO> selectStocksOverrun(@Param("kqmc") String kqmc);

    List<StorageOverrunVO> selectStorageOverrun(@Param("kqmc") String kqmc);

    List<Map<String,Object>> selectEmptyWarehouse(@Param("kqmc") String kqmc);

    List<Map<String,Object>> selectEmptyWarehouseDetail(@Param("kqbm") String kqbm,@Param("cfmc") String cfmc,@Param("hwmc") String hwmc);

    List<WarehouseEmptyAlarmVO> selectEmptyWarehouseList(@Param("clzt")Integer clzt, @Param("clfs")Integer clfs,@Param("cfzt")Integer cfzt, @Param("ccqy")String ccqy, @Param("cfmc")String cfmc,@Param("kqbm")String kqbm);

    Integer dealEmptyWarehouseAlarm(WarehouseEmptyAlarmVO vo);

    List<WarehouseEmptyAlarmVO> selectOriginEmptyWarehouse();

    Integer selectWarehouseFloorsByLqId(@Param("lqid")String lqid);

    Double selectUpperLayerPjlw(@Param("lqid")String lqid, @Param("countFloors")Integer countFloors);

    Integer insertWarehouseEmptyAlarm(WarehouseEmptyAlarmVO vo);

    List<WarehouseOverdueAlarmVO> selectOverdueWarehouseList(@Param("clzt")Integer clzt, @Param("ccqy")String ccqy, @Param("cfmc")String cfmc, @Param("pzbm")String pzbm, @Param("clfs")Integer clfs,@Param("kqbm")String kqbm);

    Integer dealOverdueAlarm(WarehouseOverdueAlarmVO vo);

    List<WarehouseOverdueAlarmVO> selectOverdueWarehouse();

    WarehouseOverdueAlarmVO selectOverdueWarehouseByAlarm(@Param("kqbm")String kqbm, @Param("cfbm")String cfbm, @Param("pzbm")String pzbm, @Param("scnf")String scnf);

    WarehouseOverdueAlarmVO selectOverdueWarehouseByParam(@Param("kqbm")String kqbm, @Param("cfbm")String cfbm, @Param("pzbm")String pzbm, @Param("scnf")String scnf, @Param("cfzt")Integer cfzt,@Param("clzt")Integer clzt);

    Integer insertWarehouseOverdueAlarm(WarehouseOverdueAlarmVO vo);

    List<StorageBadTemperaturePointDTO> selectBadTemperaturepoint();

    Integer insertWarehouseBadTemperaturepoint(StorageBadTemperaturePointVO vo);

    List<StorageBadTemperaturePointVO> selectBadTemperaturepointList();

    String getKqdmForCameraMalfunctionByKqbm(@Param("kqbm") String kqbm);

    Map<String, Object> statisticAlarm();
}
