package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.homepage.InventoryInStock;
import com.jusfoun.ydylsz.vo.homepage.QuantityStatisticVO;
import com.jusfoun.ydylsz.vo.homepage.TodayInventory;
import com.jusfoun.ydylsz.vo.homepage.TodayJob;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author by PIG
 * 2023/7/13 16
 */
@Mapper
public interface HomepageMapper {

    /**
     *
     * @param params
     * @return 库存统计
     */
    QuantityStatisticVO getCount(Map<String, Object> params);
    QuantityStatisticVO getOutIn(Map<String, Object> params);

    /**
     *
     * @param params
     * @return 今日出入库情况
     */
    List<TodayInventory> listTodayInventoryChange(Map<String, Object> params);

    /**
     *
     * @param params
     * @return 今日作业情况
     */
    List<TodayJob> listTodayJob(Map<String, Object> params);

    List<InventoryInStock> listInventoryGroupByDepot(Map<String, Object> params);

    List<InventoryInStock> listInventoryGroupByArea(Map<String, Object> params);
}
