package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.InventoryAlarmMapper;
import com.jusfoun.ydylsz.util.PageUtils;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.InventoryAlarmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

/**
 * @ClassName InventoryAlarmService
 * @Description 库存超限告警Service
 * @Author feng.liu@ourwill.com.cn
 * @Date 2023/7/19 18:37
 * @Version 1.0
 **/

@Service
public class InventoryAlarmService {

    @Autowired
    private InventoryAlarmMapper inventoryAlarmMapper;

    public PageInfo<InventoryAlarmVO> getPageList(Integer pageNum, Integer pageSize, String ccqy, String cfmc, Integer clzt,Integer clfs,String kqbm) {
        PageHelper.startPage(pageNum, pageSize);
        List<InventoryAlarmVO> list = inventoryAlarmMapper.selectPageList(ccqy,cfmc,clzt,clfs,kqbm);
        return new PageInfo(list);

    }

    public void generateInventoryAlarm() {

        List<InventoryAlarmVO> list = inventoryAlarmMapper.selectInventoryList(null,null);


        for(InventoryAlarmVO inventoryAlarmVO:list){
            BigDecimal hdcr = inventoryAlarmVO.getHdcr() !=null?inventoryAlarmVO.getHdcr():new BigDecimal(0);
            BigDecimal kcsl = inventoryAlarmVO.getKcsl() !=null?inventoryAlarmVO.getKcsl():new BigDecimal(0);
            if(kcsl.doubleValue() > hdcr.doubleValue()){
                inventoryAlarmVO.setId(UUID.randomUUID().toString());
                inventoryAlarmVO.setBjsj(new Date());
                inventoryAlarmVO.setClzt(0);
                inventoryAlarmMapper.insert(inventoryAlarmVO);
            }
        }

    }

    public void systemDealAlarm() {
        //先查询出未处理的
        List<InventoryAlarmVO> list = inventoryAlarmMapper.selectPageList(null,null,0,null,null);
        for(InventoryAlarmVO  inventoryAlarmVO : list){
            List<InventoryAlarmVO> list1 = inventoryAlarmMapper.selectInventoryList(inventoryAlarmVO.getCcqy(),inventoryAlarmVO.getCfmc());
            if(list1 != null && list1.size() > 0){
                InventoryAlarmVO inventoryAlarmVO1 = list.get(0);
                BigDecimal hdcr = inventoryAlarmVO1.getHdcr() !=null?inventoryAlarmVO1.getHdcr():new BigDecimal(0);
                BigDecimal kcsl = inventoryAlarmVO1.getKcsl() !=null?inventoryAlarmVO1.getKcsl():new BigDecimal(0);
                if(kcsl.compareTo(hdcr) < 0){
                    inventoryAlarmVO.setClsj(new Date());
                    inventoryAlarmVO.setClzt(1);
                    inventoryAlarmVO.setClrmc("自动");
                    inventoryAlarmVO.setClyj("经系统检测，该报警内容已恢复正常");
                    inventoryAlarmVO.setClfs(1);
                    inventoryAlarmMapper.deal(inventoryAlarmVO);
                }

            }
        }
    }

    public void deal(InventoryAlarmVO vo) {
        vo.setClzt(1);
        vo.setClsj(new Date());
        vo.setClfs(0);
        inventoryAlarmMapper.deal(vo);
    }


}
