package com.jusfoun.ydylsz.service;

import java.util.Date;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.jusfoun.ydylsz.mapper.StorageThresholdSetMapper;
import com.jusfoun.ydylsz.vo.StorageThresholdSetVO;

import cn.hutool.core.lang.UUID;

@Service
public class StorageThresholdSetVOService {

	@Resource
	private StorageThresholdSetMapper storageThresholdSetMapper;

	/**
	 * 查询报警阈值设置列表
	 * @return
	 * @throws Exception
	 */
	public List<StorageThresholdSetVO> list() throws Exception {
		List<StorageThresholdSetVO> list = storageThresholdSetMapper.list();
		return list;
	}

	/**
	 * 按主键ID查询一条数据
	 * @param id 主键ID
	 * @return
	 * @throws Exception
	 */
	public StorageThresholdSetVO findByIDCondition(String id) throws Exception {
		StorageThresholdSetVO storageThresholdSetVO = storageThresholdSetMapper.findByIDCondition(id);
		return storageThresholdSetVO;
	}

	/**
	 * 新增或修改数据
	 * 
	 * @param list 数据对象
	 * @throws Exception
	 */
	public void saveOrUpdate(List<StorageThresholdSetVO> list) throws Exception {
		if (null != list && list.size() > 0) {
			StorageThresholdSetVO storageThresholdSetVO = null;
			for (int i = 0; i < list.size(); i++) {
				storageThresholdSetVO = list.get(i);
				String id = storageThresholdSetVO.getId();
				if (null == id || "".equals(id)) {
					id = UUID.randomUUID().toString().replace("-", "");
					storageThresholdSetVO.setId(id);
					storageThresholdSetVO.setCreateTime(new Date());
					storageThresholdSetVO.setUpdateTime(storageThresholdSetVO.getCreateTime());
					storageThresholdSetMapper.insert(storageThresholdSetVO);
				} else {
					storageThresholdSetVO.setUpdateTime(new Date());
					storageThresholdSetMapper.update(storageThresholdSetVO);
				}
			}
		}
	}
}
