package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "湿度信息")
public class HumidityVO {

    @ApiModelProperty(value = "企业名称")
    private	String qymc;

    @ApiModelProperty(value = "仓房")
    private	String cfmc;

    @ApiModelProperty(value = "报警名称")
    private	String warningName;

    @ApiModelProperty(value = "预警值")
    private BigDecimal warningValue;

    @ApiModelProperty(value = "报警内容")
    private	String warningContent;

    @ApiModelProperty(value = "报警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date warningTime;

    @ApiModelProperty(value = "检测值")
    private BigDecimal checkValue;

    @ApiModelProperty(value = "仓高温")
    private BigDecimal maxTemp;

    @ApiModelProperty(value = "仓低温")
    private BigDecimal minTemp;

    @ApiModelProperty(value = "平均温度")
    private BigDecimal avgTemp;

    @ApiModelProperty(value = "仓房数")
    private Integer cfs;

    @ApiModelProperty(value = "机构编码")
    private	String orgId;

    @ApiModelProperty(value = "仓房编码")
    private	String cfbm;

}
