package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author feng.liu@ourwill.com.cn
 * @Description 库存告警记录实体类
 *
 **/
@Data
public class InventoryAlarmVO {

    private String id;
    /*
     * 库区编码
     */
    private String kqbm;

    /*
     * 承储企业
     */
    private String ccqy;

    /*
     * 仓房名称
     */
    private String cfmc;

    /*
     * 仓房编号
     */
    private String cfbm;

    /*
     * 粮油性质
     */
    private String lyxz;

    /*
     * 品种明细
     */
    private String pzmx;

    /*
     * 设计仓容（吨）
     */
    private BigDecimal hdcr;

    /*
     * 库存数量（吨）
     */
    private BigDecimal kcsl;

    /*
     * 报警时间
     */
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bjsj;

    /*
     * 处理状态 0:为处理 1:已处理
     */
    private Integer clzt;

    /*
     * 处理人ID
     */
    private String clrbm;

    /*
     * 处理人姓名
     */
    private String clrmc;

    /*
     * 处理时间
     */
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date clsj;

    /*
     * 处理意见
     */
    private String clyj;

    /*
     * 处理方式 0:手动处理  1:自动处理
     */
    private Integer clfs;

    /*
     * 生产年份
     */
    private String scnf;

}
