package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "storage_humidity_warning--湿度报警表")
@Table(name="storage_humidity_warning")
public class StorageHumidityWarning {

	@ApiModelProperty(value = "主键id")
    private String id;

	@ApiModelProperty(value = "库区国标代码")
    private String kqdm;

	@ApiModelProperty(value = "仓房国标编码")
    private String ch;

	@ApiModelProperty(value = "仓湿")
    private BigDecimal cs;

	@ApiModelProperty(value = "报警值")
    private BigDecimal bjz;

	@ApiModelProperty(value = "报警时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bjsj;

	@ApiModelProperty(value = "数据创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

	@ApiModelProperty(value = "数据修改时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

	@ApiModelProperty(value = "库区名称")
	private String kqmc;

	@ApiModelProperty(value = "仓房名称")
	private String chmc;

	@ApiModelProperty(value = "报警日期字符型")
    private String bjsj_str;
}