package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName WarehouseEmptyAlarmVO
 * @Description 内控告警表
 * @Author feng.liu@ourwill.com.cn
 * @Date 2023/7/20 14:50
 * @Version 1.0
 **/

@Data
@ApiModel(value = "storage_pre_alarm--内控告警表")
@Table(name="storage_pre_alarm")
public class StoragePreAlarmVO {

    @ApiModelProperty(value = "主键id")
    private	String id;

    @ApiModelProperty(value = "库区编码")
    private	String kqbm;

    @ApiModelProperty(value = "承储企业")
    private	String ccqy;

    @ApiModelProperty(value = "入库车辆")
    private	String rkcl;

    @ApiModelProperty(value = "报警类型")
    private	String bjlx;

    @ApiModelProperty(value = "报警内容")
    private	String bjnr;

    @ApiModelProperty(value = "告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private	Date bjsj;

    @ApiModelProperty(value = "处理人ID")
    private	String clrid;

    @ApiModelProperty(value = "处理人名称")
    private	String clrmc;

    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date clsj;

    @ApiModelProperty(value = "处理意见")
    private	String clyj;

    @ApiModelProperty(value = "处理方式 0:手动 1:系统自动")
    private	Integer clfs;

    @ApiModelProperty(value = "处理状态 0:未处理 1:已处理")
    private	Integer clzt;

}
