package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "storage_threshold_set--报警阈值设置表")
@Table(name="storage_threshold_set")
public class StorageThresholdSetVO {

	@ApiModelProperty(value = "主键id")
	private String id;

	@ApiModelProperty(value = "库区国标代码")
	private String kqdm;

	@ApiModelProperty(value = "粮油品种")
	private String lypz;

	@ApiModelProperty(value = "明细品种")
	private String mxpz;

	@ApiModelProperty(value = "温度预警高限")
	private BigDecimal wdyjgx;

	@ApiModelProperty(value = "温度预警低限")
	private BigDecimal wdyjdx;

	@ApiModelProperty(value = "温度报警高限")
	private BigDecimal wdbjgx;

	@ApiModelProperty(value = "湿度报警高限")
	private BigDecimal sdbjgx;

	@ApiModelProperty(value = "存储年限（年/月）")
	private String ccnx;

	@ApiModelProperty(value = "存储年限单位")
	private String unit;

	@ApiModelProperty(value = "数据创建时间")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "数据修改时间")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date updateTime;

	@ApiModelProperty(value = "品种名称")
	private String pzmc;
}
