package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName WarehouseEmptyAlarmVO
 * @Description 存储超限告警表
 * @Author feng.liu@ourwill.com.cn
 * @Date 2023/7/20 14:50
 * @Version 1.0
 **/

@Data
@ApiModel(value = "warehouse_overdue_alarm--存储超限告警")
@Table(name="warehouse_overdue_alarm")
public class WarehouseOverdueAlarmVO {

    @ApiModelProperty(value = "主键id")
    private	String id;

    @ApiModelProperty(value = "库区编码")
    private	String kqbm;

    @ApiModelProperty(value = "仓房编码")
    private	String cfbm;

    @ApiModelProperty(value = "仓房名称")
    private	String cfmc;

    @ApiModelProperty(value = "粮油性质")
    private	String lyxz;

    @ApiModelProperty(value = "库存数量（吨）")
    private BigDecimal kcsl;

    @ApiModelProperty(value = "生产年份")
    private	String scnf;

    @ApiModelProperty(value = "储备年限")
    private	String cbnx;

    @ApiModelProperty(value = "封仓时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private	Date cccxsj;

    @ApiModelProperty(value = "仓房状态 1:近3月  2:近1月 3:超期")
    private	Integer cfzt;

    @ApiModelProperty(value = "承储企业")
    private	String ccqy;

    @ApiModelProperty(value = "告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private	Date bjsj;

    @ApiModelProperty(value = "处理人ID")
    private	String clrid;

    @ApiModelProperty(value = "处理人名称")
    private	String clrmc;

    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date clsj;

    @ApiModelProperty(value = "处理意见")
    private	String clyj;

    @ApiModelProperty(value = "处理方式 0:手动 1:系统自动")
    private	Integer clfs;

    @ApiModelProperty(value = "处理状态 0:未处理 1:已处理")
    private	Integer clzt;

    @ApiModelProperty(value = "品种编码")
    private	String pzbm;

    @ApiModelProperty(value = "品种编码")
    private String pzmc;

    @ApiModelProperty(value = "品种明细")
    private String pzmx;

}
